package utils;

import lombok.extern.slf4j.Slf4j;
import org.springframework.mail.javamail.MimeMessageHelper;
import org.springframework.stereotype.Component;

import javax.mail.*;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;
import java.util.Date;
import java.util.List;
import java.util.Properties;

@Component
@Slf4j
public class EmailUtils {

//    @Resource
//    private JavaMailSender mailSender;

//    public boolean sendMail(String subject, String content, List<String> emails) {
//        try {
//            MimeMessage mimeMessage = mailSender.createMimeMessage();
//            for (String email : emails) {
//                MimeMessageHelper messageHelper = new MimeMessageHelper(mimeMessage, true);
//                // 设置收件人邮箱
//                messageHelper.setTo(email);
//                messageHelper.setSubject(subject);
//                messageHelper.setText(content, true);
//                messageHelper.setSentDate(new Date());
//                mailSender.send(mimeMessage);
//            }
//        } catch (Exception e) {
//            log.error("send mail error : " + e.getMessage(), e);
//            return false;
//        }
//        return true;
//    }

    public boolean sendMail(String subject,String text,List<String> emails){
        try {
            //用于读取配置文件
            Properties props=new Properties();
            //发送服务器需要身份验证
            props.setProperty("mail.smtp.auth", "true");
            //发送邮件服务器的主机名
            props.setProperty("mail.smtp.host", "smtpdm.aliyun.com");
            //端口号
            props.setProperty("mail.smtp.port", "465");
            //发送邮件协议
            props.setProperty("mail.transport.protocol", "smtp");
            props.put("mail.smtp.socketFactory.class", "javax.net.ssl.SSLSocketFactory");
            props.put("mail.smtp.socketFactory.port", "465");
            props.put("mail.smtp.port", "465");

            //mailfrom 参数
            props.put("mail.smtp.from", "admin@sketchpi.com");
            // 发件人的账号(在控制台创建的发信地址)
            props.put("mail.user", "admin@sketchpi.com");
            // 发信地址的smtp密码(在控制台选择发信地址进行设置)
            props.put("mail.password", "Kdan24373514");
            // 构建授权信息，用于进行SMTP进行身份验证
            Authenticator authenticator = new Authenticator() {
                @Override
                protected PasswordAuthentication getPasswordAuthentication() {
                    // 用户名、密码
                    String userName = props.getProperty("mail.user");
                    String password = props.getProperty("mail.password");
                    return new PasswordAuthentication(userName, password);
                }
            };
            Session mailSession = Session.getInstance(props, authenticator);
            //开启debug模式
            mailSession.setDebug(true);
            //抽象类MimeMessage为实现类 消息载体封装了邮件的所有消息
            MimeMessage message = new MimeMessage(mailSession);
            //设置发件人地址
            message.setFrom(new InternetAddress("admin@sketchpi.com","Admin"));
            //此类的功能是发送邮件 又会话获得实例
            Transport transport=mailSession.getTransport();
            //开启连接
            transport.connect();
            //设置收件人地址邮件信息
            for (int i = 0; i < emails.size(); i++) {
                MimeMessageHelper messageHelper = new MimeMessageHelper(message, true,"utf-8");
                    // 设置收件人邮箱
                messageHelper.setTo(emails.get(i));
                messageHelper.setSubject(subject);
                messageHelper.setText(text, true);
                messageHelper.setSentDate(new Date());
                transport.sendMessage(message,new Address[]{new InternetAddress(emails.get(i))});
                //邮件发送后关闭信息
                transport.close();
            }
            return true;
        } catch (Exception e) {
            log.error("send mail error : " + e.getMessage(), e);
        }
       return true;
    }

}
