package utils;

import org.springframework.web.multipart.MultipartFile;

import java.io.*;

/**
 * @author tangxiangan
 * file工具类
 */
public class FileUtils {

    /**
     * multipartFile转file
     *
     * @param multipartFile
     * @return
     */
    public static File transferToFile(MultipartFile multipartFile) {
        //选择用缓冲区来实现这个转换即使用java 创建的临时文件 使用 MultipartFile.transferto()方法 。
        File file = null;
        try {
            //String tDir = System.getProperty("java.io.tmpdir");
            String originalFilename = multipartFile.getOriginalFilename();
            String[] filename = originalFilename.split("\\.", originalFilename.lastIndexOf("."));
            //注意下面的 特别注意！！！
            //file = new File(tDir+filename[0], "." + filename[1]);
            file = File.createTempFile(filename[0], "." + filename[1]);
            multipartFile.transferTo(file);
            file.deleteOnExit();
        } catch (IOException e) {
            e.printStackTrace();
        }
        return file;
    }

    public static File multipartFileToFile(MultipartFile file) {
        File toFile = null;
        try {
        if (file.equals("") || file.getSize() <= 0) {
            file = null;
        } else {
            InputStream ins = null;
            ins = file.getInputStream();
            toFile = new File(file.getOriginalFilename());
            inputStreamToFile(ins, toFile);
            ins.close();
        }
        } catch (IOException e) {
            e.printStackTrace();
        }
        return toFile;
    }

    //获取流文件
    private static void inputStreamToFile(InputStream ins, File file) {
        try {
            OutputStream os = new FileOutputStream(file);
            int bytesRead = 0;
            byte[] buffer = new byte[8192];
            while ((bytesRead = ins.read(buffer, 0, 8192)) != -1) {
                os.write(buffer, 0, bytesRead);
            }
            os.close();
            ins.close();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
