package cn.kdan.pdf.backend.core.config;

import com.alipay.api.*;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.PropertySource;
import org.springframework.core.env.Environment;

import javax.annotation.Resource;

/**
 * 配置文件读取
 */
@Configuration
//@PropertySource("classpath:alipay-sandbox-test.properties")
public class AlipayClientConfig {

    @Resource
    private Environment config;

    @Bean
    public AlipayClient alipayClient() throws AlipayApiException {
        AlipayConfig alipayConfig = new AlipayConfig();
        //设置网关地址
        alipayConfig.setServerUrl(config.getProperty("ali.pay.gatewayUrl"));
        //设置应用ID
        alipayConfig.setAppId(config.getProperty("ali.pay.appId"));
        //设置应用私钥
        alipayConfig.setPrivateKey(config.getProperty("ali.pay.rsa2Key"));
        //设置请求格式，固定值json
        alipayConfig.setFormat(AlipayConstants.FORMAT_JSON);
        //设置字符集
        alipayConfig.setCharset(AlipayConstants.CHARSET_UTF8);
        //设置支付宝公钥
        alipayConfig.setAlipayPublicKey(config.getProperty("ali.pay.publicKey"));
        //设置签名类型
        alipayConfig.setSignType(AlipayConstants.SIGN_TYPE_RSA2);

        //构造client
        return new DefaultAlipayClient(alipayConfig);
    }
}
