package cn.kdan.pdf.backend.core.config;

import annotations.EnableCommonTools;
import config.RedissonConfig;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationPropertiesScan;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.context.annotation.Import;
import org.springframework.session.data.redis.config.annotation.web.http.EnableRedisHttpSession;
import org.springframework.session.web.http.HttpSessionIdResolver;
import pojo.CustomHttpSessionStrategy;

/**
 * @author tangxiangan
 */
@Configuration
@ConfigurationPropertiesScan("cn.kdan.pdf.backend.core.properties")
@EnableCommonTools
@EnableRedisHttpSession
@Slf4j
@EnableAspectJAutoProxy
@EnableCaching
@Import({RedissonConfig.class})
public class BackendCoreConfig {

    @Bean
    public HttpSessionIdResolver httpSessionStrategy() {
        return new CustomHttpSessionStrategy("x-auth-token");
    }

}
