package cn.kdan.pdf.backend.core.config.oauth;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Configuration;
import org.springframework.security.access.PermissionEvaluator;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.authority.SimpleGrantedAuthority;
import org.springframework.security.oauth2.provider.OAuth2Authentication;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author tangxiangan
 */
@Configuration
public class CustomPermissionEvaluator implements PermissionEvaluator {

    private static final Logger log = LoggerFactory.getLogger(CustomPermissionEvaluator.class);

    private List<SimpleGrantedAuthority> authorities = new ArrayList<>();

    //普通的targetDomainObject判断
    @Override
    public boolean hasPermission(Authentication authentication, Object targetDomainObject, Object permission) {
        log.info("---------------账号中心鉴权----------------------");
        log.info(targetDomainObject + ":" + permission);
        log.info(authorities.toString());
        if (authorities.isEmpty()) {
            authorities = getSimpleGrantedAuthorities(authentication);
        }
        return authorities.contains(new SimpleGrantedAuthority(targetDomainObject + ":" + permission));
    }

    //用于ACL的访问控制
    @Override
    public boolean hasPermission(Authentication authentication, Serializable targetId, String targetType, Object permission) {
        log.info("-------------------------------------");
        return false;
    }

    private List<SimpleGrantedAuthority> getSimpleGrantedAuthorities(Authentication authentication) {
        String clientId = ((OAuth2Authentication) authentication).getOAuth2Request().getClientId();
        return authorities;
    }
}
