package cn.kdan.pdf.backend.core.constant;

/**
 * @author tangxiangan
 */
public interface AuthConstant {

    int EXCEPTION_CODE_IMAGE_CODE_ERROR = 301;
    String EXCEPTION_MSG_IMAGE_CODE_ERROR = "图形验证码错误";


    String SUCCESS_MSG_CODE_SEND = "验证码发送成功";

    String SUCCESS_MSG_CODE_SEND_MAIL = "邮件发送成功";
    String EXCEPTION_MSG_CODE_SEND_ERROR = "验证码发送失败";
    String EXCEPTION_MAIL_CODE_SEND_ERROR = "邮件发送失败";
    String EXCEPTION_MSG_CODE_ERROR = "验证码输入错误";

    String EXCEPTION_MSG_RESET_PASSWORD_ERROR = "重置密码链接已过期";

    String EXCEPTION_MSG_EMAIL_CODE_ERROR = "邮箱验证码错误";

    String EXCEPTION_MSG_USER_VERIFY_ERROR = "身份认证失败";

    String VERIFY_CODE_CHECK_SUCCESS = "验证通过";

    String EXCEPTION_MSG_CODE_ACTION_ERROR = "操作类型错误";
    String EXCEPTION_MSG_CODE_TYPE_ERROR = "发送方式错误";

    int EXCEPTION_CODE_USER_NOT_FOUND = 302;
    String EXCEPTION_MSG_USER_NOT_FOUND = "当前登录用户没有注册，详细信息请联系管理员";

    int EXCEPTION_CODE_USER_STATUS_IS_FROZEN = 303;
    String EXCEPTION_MSG_USER_STATUS_IS_FROZEN = "账号正处于冻结状态";

    int EXCEPTION_CODE_USER_STATUS_IS_INACTIVE = 304;
    String EXCEPTION_MSG_USER_STATUS_IS_INACTIVE = "当前登录用户没有激活或被禁用，详细信息请联系管理员";

    int EXCEPTION_CODE_USER_IS_LOCKED = 305;
    String EXCEPTION_MSG_USER_IS_LOCKED = "登录尝试次数过多，账号已被锁定";

    int EXCEPTION_CODE_USER_PASSWORD_ERROR = 306;
    String EXCEPTION_MSG_USER_PASSWORD_ERROR = "账号密码错误";

    int EXCEPTION_CODE_SESSION_NOT_FOUND = 307;
    String EXCEPTION_MSG_SESSION_NOT_FOUND = "账号不存在";

    int EXCEPTION_CODE_USER_INFO_NOT_COMPLETE = 308;
    String EXCEPTION_MSG_USER_INFO_NOT_COMPLETE = "用户资料尚未完善！";

    int EXCEPTION_CODE_TOKEN_IS_INVALID = 310;
    String EXCEPTION_MSG_TOKEN_IS_INVALID = "无效的token或者token已过期";

    int EXCEPTION_CODE_USER_NOT_ORG = 311;
    String EXCEPTION_MSG_USER_NOT_ORG = "该用户不属于任何机构,请联系系统管理员";

    int EXCEPTION_CODE_USER_PASSWORD_EXPIRED = 312;
    String EXCEPTION_MSG_USER_PASSWORD_EXPIRED = "用户密码已过期，请修改或重置密码";

    int EXCEPTION_CODE_USER_NOT_LOGIN = 313;
    String EXCEPTION_MSG_USER_NOT_LOGIN = "用户没有登录，请登录后再访问";

    String EXCEPTION_MSG_NO_PERMISSION = "您没有当前平台的操作权限。";

    int EXCEPTION_CODE_GET_CODE_FAIL = 314;
    String EXCEPTION_MSG_GET_CODE_FAIL = "获取授权码失败";

    String GET_AUTHORIZE_CODE_SUCCESS = "获取授权码成功";
    String EXCEPTION_MSG_PLEASE_ADD_AUTH_CONFIG = "请添加OAuth2登录配置";

    int EXCEPTION_CODE_GET_TOKEN_FAIL = 315;
    String EXCEPTION_MSG_GET_TOKEN_FAIL = "获取token失败";

    int EXCEPTION_CODE_EMAIL_LOGIN_FAIL = 316;
    String EXCEPTION_MSG_EMAIL_NOT_VERIFY = "当前登陆邮箱未验证,请用手机号登陆";

    String EXCEPTION_MSG_GET_APP_INFO_FAIL = "获取token失败，应用信息为空";
    String EXCEPTION_MSG_CLIENT_ID_EXISTING = "OAuth2客户端已存在";

    String MSG_LOGIN_SUCCESS = "用户登录成功";
    String MSG_LOGOUT_SUCCESS = "用户登出成功";

    String MSG_NOT_JOINED_TEAM = "尚未加入团队或已被团队所有者锁定，暂不能登陆";

    String MSG_LOCKED_OR_DELETE = "用户已被锁定或删除";

    String LOCK_PERIOD = "lock_period";
    String LOCK_TIMES = "lock_times";
    String LOCK_MINUTES = "lock_minutes";
    String SESSION_ = "session_";
    String IMAGE_CODE = "image_code";

    String PASSWORD_ERROR_ = "password_error_";

    String MOBILE_REGEX = "[1][3456789]\\d{9}";
    String EMAIL_REGEX = "^([a-z0-9A-Z]+[-|\\.]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-zA-Z]{2,}$";


    String ACCESS = "access:";
    String AUTH_TO_ACCESS = "auth_to_access:";
    String AUTH = "auth:";
    String REFRESH_AUTH = "refresh_auth:";
    String ACCESS_TO_REFRESH = "access_to_refresh:";
    String REFRESH = "refresh:";
    String REFRESH_TO_ACCESS = "refresh_to_access:";
    String CLIENT_ID_TO_ACCESS = "client_id_to_access:";
    String UNAME_TO_ACCESS = "uname_to_access:";

    String DEFAULT_REDIRECT_URI = "https://127.0.0.1";

    String VERIFY_CODE_KEY = "verifyCode_";

    String VERIFY_CODE_TIME_OUT = "verifyCode_timeout_";

    /**
     * 忘记密码
     */
    Long VERIFY_CODE_KEY_EXPIRE_TIME = 30 * 60L;

    Long EMAIL_VERIFY_CODE_KEY_EXPIRE_TIME = 3 * 60L;

    Long VERIFY_CODE_KEY_EXPIRE_TIME_FORGET = 15 * 60L;

    Long VERIFY_CODE_KEY_RESEND_TIME = 60L;

    String VERIFY_CODE_SEND_TOO_QUICKLY = "您的操作过于频繁，请稍后再试";

}
