package cn.kdan.pdf.backend.core.controller;

import cn.kdan.pdf.backend.core.service.AlipayService;
import com.alipay.api.AlipayApiException;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@CrossOrigin
@RestController
@RequestMapping("/yun")
@Api(tags = "网站支付宝支付")
@Slf4j
public class AlipayController {

    @Autowired
    private AlipayService alipayService;

    @GetMapping("/pay")
    public String pay() {
        return alipayService.createAlipayPageUrl("17PDF会员订阅", "20210817010101014", 0.01f, null, "android");
    }

    @GetMapping("/query")
    public String query(String tradeNo) {
        return alipayService.query(tradeNo);
    }

    @GetMapping("/close")
    public String close(String tradeNo) throws AlipayApiException {
        return alipayService.close(tradeNo);
    }
}

