package cn.kdan.pdf.backend.core.controller;

import cn.kdan.pdf.backend.core.model.Avatars;
import cn.kdan.pdf.backend.core.pojo.app.UpTokenVo;
import cn.kdan.pdf.backend.core.service.AvatarService;
import constant.CommonConstant;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;
import pojo.AppResultMap;

import java.util.List;

/**
 * @author sfq
 * @description
 */
@RestController
@RequestMapping("/avatar")
public class AvatarController {

    @Autowired
    private AvatarService avatarService;

    /**
     * 查询头像列表
     * @return 头像列表信息
     */
    @GetMapping("/list")
    public AppResultMap<List<Avatars>> list(){
        return new AppResultMap(CommonConstant.SUCCESS,CommonConstant.CODE_SUCCESS,avatarService.list());
    }

    /**
     * 获取头像上传的token
     * @return token+用户信息
     */
    @PostMapping("/picUpload")
    public AppResultMap<UpTokenVo> picUpload(@Param("file")MultipartFile file){
        return new AppResultMap(CommonConstant.SUCCESS,CommonConstant.CODE_SUCCESS,avatarService.picUpload(file));
    }

}
