package cn.kdan.pdf.backend.core.controller;

import cn.kdan.pdf.backend.core.params.QueryConvertTypeParam;
import cn.kdan.pdf.backend.core.pojo.ConvertTypeVo;
import cn.kdan.pdf.backend.core.pojo.MissionVO;
import cn.kdan.pdf.backend.core.service.ConvertFileService;
import constant.CommonConstant;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import pojo.AppResultMap;
import pojo.ResultMap;

import java.util.List;

@RestController
@RequestMapping("/convertType")
public class ConvertTypeController {

    @Autowired
    private ConvertFileService convertFileService;

    @GetMapping("/getConvertTypeList")
    public ResultMap<List<ConvertTypeVo>> getConvertTypeList(@RequestParam("input") String inputFileType, @RequestParam("output") String outputFileType) {
        return new ResultMap<>(CommonConstant.SUCCESS, "获取转档类型列表成功", convertFileService.getConvertTypeList(inputFileType, outputFileType));
    }

    @GetMapping("/getFileStatus")
    public ResultMap<List<MissionVO>> getFileStatus(String mid) {
        return new ResultMap<>(CommonConstant.SUCCESS, "获取文件状态成功", convertFileService.getFileStatus(mid));
    }

    @GetMapping("/appList")
    public AppResultMap<List<ConvertTypeVo>> appList(QueryConvertTypeParam param){
        return new AppResultMap<>(CommonConstant.SUCCESS, "获取转档类型列表成功", convertFileService.getConvertTypeList(param.getIn(), param.getOut()));
    }

}
