package cn.kdan.pdf.backend.core.controller;

import cn.kdan.pdf.backend.core.model.pricing.QueryPricingReq;
import cn.kdan.pdf.backend.core.model.pricing.QueryPricingResp;
import cn.kdan.pdf.backend.core.params.QueryPricingParam;
import cn.kdan.pdf.backend.core.service.PricingService;
import constant.CommonConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import pojo.AppResultMap;
import pojo.ResultMap;

/**
 * @author songfuqiang
 */
@RestController
@RequestMapping("/pricing")
public class PricingController {

    @Autowired
    private PricingService pricingService;

    /**
     * 查询券服务列表
     */
    @PostMapping("/list")
    public ResultMap<QueryPricingResp> getPricingList(@RequestBody QueryPricingReq req) {
        QueryPricingResp pricingList = pricingService.getPricingList(req);
        return new ResultMap<>(CommonConstant.SUCCESS, "查询券服务列表成功", pricingList);
    }

    /**
     * app端获取商品价目表
     * @param param 入参
     * @return 商品价目表列表
     */
    @GetMapping("/appList")
    public AppResultMap<QueryPricingResp> appList(QueryPricingParam param){
        return new AppResultMap<>(CommonConstant.SUCCESS,CommonConstant.CODE_SUCCESS,pricingService.appList(param));
    }

}
