package cn.kdan.pdf.backend.core.controller;

import cn.kdan.pdf.backend.core.model.Members;
import cn.kdan.pdf.backend.core.pojo.SetPricingVO;
import cn.kdan.pdf.backend.core.service.MemberService;
import cn.kdan.pdf.backend.core.service.SetPricingService;
import constant.CommonConstant;
import org.springframework.web.bind.annotation.*;
import pojo.ResultMap;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tangxiangan
 */
@RestController
@RequestMapping("/setPricing")
public class SetPricingController {

    @Resource
    private SetPricingService setPricingService;
    @Resource
    private MemberService memberService;


    /**
     * 获取当前登录用户可以购买的所有在售会员类型
     * @param client client 例如web
     * @return list
     */
    @GetMapping("list")
    public ResultMap<List<SetPricingVO>> list(@RequestParam(required = false) String client) {
        Members member = memberService.getCurrentUser();
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, setPricingService.list(client,member));
    }

    /**
     * 访客获取所有在售会员类型
     *
     * @param client 客户端 web或android
     * @return 返回结果
     */
    @GetMapping("listForVisitor")
    public ResultMap<List<SetPricingVO>> listForVisitor(@RequestParam(required = false) String client) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, setPricingService.list(client,null));
    }

}
