package cn.kdan.pdf.backend.core.controller;

import cn.kdan.pdf.backend.core.params.ExpenseParam;
import cn.kdan.pdf.backend.core.params.SubscriptionCreateParams;
import cn.kdan.pdf.backend.core.pojo.SubscriptionVO;
import cn.kdan.pdf.backend.core.pojo.app.CreateSubVo;
import cn.kdan.pdf.backend.core.pojo.app.ExpenseVo;
import cn.kdan.pdf.backend.core.pojo.app.RemindVo;
import cn.kdan.pdf.backend.core.service.SubscriptionService;
import constant.CommonConstant;
import org.springframework.web.bind.annotation.*;
import pojo.AppResultMap;
import pojo.ResultMap;

import javax.annotation.Resource;

/**
 * @author tangxiangan
 */
@RestController
@RequestMapping("/subscription")
public class SubscriptionController {

    @Resource
    private SubscriptionService subscriptionService;

    /**
     * 用户选择对应的服务类型 并且点击微信或者支付宝时调用 生成订阅和订单信息
     *
     * @param params SubscriptionCreateParams
     * @return SubscriptionVO
     */
    @PostMapping("create")
    public ResultMap<SubscriptionVO> create(@RequestBody SubscriptionCreateParams params) {
        return new ResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, subscriptionService.create(params.getClient(), params.getPayment(), params.getTargetType(), params.getTargetId()));
    }

    @PostMapping("/appCreate")
    public AppResultMap<CreateSubVo> appCreate(@RequestBody SubscriptionCreateParams params) {
        return new AppResultMap<>(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS, subscriptionService.appCreate(params.getClient(), params.getPayment(), params.getTargetType(), params.getTargetId()));
    }

    /**
     * 转档券消耗
     * @param param 券消耗接口参数
     * @return 券消耗接口返回
     */
    @PostMapping("/expense")
    public AppResultMap<ExpenseVo> expense(@RequestBody ExpenseParam param){
        return new AppResultMap(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,subscriptionService.expense(param));
    }

    /**
     * 获取套餐过期信息
     * @return 套餐过期信息返回
     */
    @GetMapping("/remindRenew")
    public AppResultMap<RemindVo> remindRenew(){
        return new AppResultMap(CommonConstant.SUCCESS, CommonConstant.RESULT_SUCCESS,subscriptionService.remindRenew());
    }
}
