package cn.kdan.pdf.backend.core.controller;

import cn.kdan.pdf.backend.core.client.ComPdfKitClient;
import cn.kdan.pdf.backend.core.utils.ComPdfKitUtils;
import cn.kdan.pdf.backend.core.utils.wxpay.MyConfig;
import cn.kdan.pdf.backend.core.utils.wxpay.WXPay;
import cn.kdan.pdf.backend.core.utils.wxpay.WXPayConstants;
import cn.kdan.pdf.backend.core.utils.wxpay.WXPayOrderQueryResult;
import com.alibaba.fastjson.JSON;
import constant.CommonConstant;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import utils.SMSUtils;

import java.util.HashMap;
import java.util.Map;

@SpringBootTest
@RestController
@RequestMapping("/test")
class TestControllerTest {
    @Autowired
    private SMSUtils smsUtils;
    @Autowired
    private ComPdfKitUtils utils;

    @Test
    void unifiedOrder() {
        MyConfig config = null;
        try {
            config = new MyConfig();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        // WXPay wxpay = new WXPay(config);
        WXPay wxpay = new WXPay(config, WXPayConstants.SignType.MD5, true);
        Map<String, String> data = new HashMap<String, String>();
        data.put("body", "腾讯充值中心-QQ会员充值");
        data.put("out_trade_no", "2016090910595900000015");
        data.put("fee_type", "CNY");
        data.put("total_fee", "1");
        data.put("notify_url", "http://www.example.com/wxpay/notify");
        data.put("trade_type", "NATIVE");  // 此处指定为扫码支付
        try {
            Map<String, String> resp = wxpay.unifiedOrder(data);
            if(resp.get("result_code").equals(CommonConstant.CODE_SUCCESS)){
            //    return resp.get("code_url");
            }else{
                System.out.println(resp.get("return_msg"));
            }
            System.out.println(resp);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Test
    void orderQuery() {
        MyConfig config = null;
        try {
            config = new MyConfig();
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        WXPay wxpay = new WXPay(config);
        //WXPay wxpay = new WXPay(config, WXPayConstants.SignType.MD5, true);
        Map<String, String> data = new HashMap<String, String>();
        data.put("out_trade_no", "2016090910595900000012");

        try {
            Map<String, String> resp = wxpay.orderQuery(data);
            WXPayOrderQueryResult result = JSON.parseObject(JSON.toJSONString(resp), WXPayOrderQueryResult.class);
            System.out.println(resp);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }


    @Test
    @GetMapping("getToken")
    void getToken() {
        ComPdfKitClient client = utils.getComPdfKitClient();

    }


}
