package cn.kdan.pdf.backend.core.enums;

/**
 * @author : sfq
 * @date : 2022/12/14 19:47
 * @description 'zh-CN': 0, 'en': 1
 */
public enum LanguageEnum {

    /**
     * 中文
     */
    ZH_CN("zh-CN",0),
    /**
     * 英文
     */
    EN("en",1);

    private final String name;
    private final Integer value;

    LanguageEnum(String name, Integer value){
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public Integer getValue() {
        return value;
    }

    public static Integer getCodeByName(String name){
        Integer value = 0;
        for (LanguageEnum languageEnum : LanguageEnum.values()) {
            if(languageEnum.getName().equals(name)){
                value = languageEnum.getValue();
            }
        }
        return value;
    }

}
