package cn.kdan.pdf.backend.core.enums;

public enum MissionFileStatusEnum {

    //0.已提交、1.转档中、2.成功、3.失败、4.已回调
    //:created, :processing, :success, :failed, :worked
    /**
     * 已提交
     */
    CREATED(0, "created"),
    /**
     * 转档中
     */
    PROCESSING(1, "processing"),
    /**
     * 成功
     */
    SUCCESS(2, "success"),
    /**
     * 失败
     */
    FAILED(3, "failed"),
    /**
     * 已回调
     */
    WORKED(4, "worked");

    private final Integer value;

    private final String name;

    MissionFileStatusEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public String getName() {
        return name;
    }
    public Integer value() {
        return value;
    }

    public static String getNameByValue(Integer value) {
        for (MissionFileStatusEnum modeEnum : MissionFileStatusEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum.getName();
            }
        }
        return MissionFileStatusEnum.CREATED.getName();
    }
}
