package cn.kdan.pdf.backend.core.enums;

/**
 * 有效状态（是否可用）
 * CD101100
 *
 * @author tangxiangan
 */
public enum OrdersStatusEnum {
    //    alipay WAIT_BUYER_PAY（交易创建，等待买家付款）、TRADE_CLOSED（未付款交易超时关闭，或支付完成后全额退款）、
    //    TRADE_SUCCESS（交易支付成功）、TRADE_FINISHED（交易结束，不可退款）
    //    wxpay SUCCESS—支付成功 REFUND—转入退款 NOTPAY—未支付 CLOSED—已关闭 REVOKED—已撤销（刷卡支付）USERPAYING--用户支付中 PAYERROR--支付失败(其他原因，如银行返回失败)

    /**
     * 未支付 { unpayed: 0, closed: 1, success: 2, finish: 3 }
     */
    UNPAYED(0, "unpayed"),
    /**
     * 已关闭
     */
    CLOSED(1, "closed"),
    /**
     * 成功
     */
    SUCCESS(2, "success"),
    /**
     * 完成
     */
    FINISH(3, "finish");


    private final Integer value;

    private final String name;

    public String getName() {
        return name;
    }

    OrdersStatusEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    public Integer value() {
        return value;
    }

    public static String getNameByValue(Integer value) {
        for (OrdersStatusEnum modeEnum : OrdersStatusEnum.values()) {
            if (modeEnum.value().equals(value)) {
                return modeEnum.getName();
            }
        }
        return OrdersStatusEnum.UNPAYED.getName();
    }
}
