package cn.kdan.pdf.backend.core.enums;

/**
 * 支付类型
 *
 * @author tangxiangan
 */
public enum PaymentEnum {

    /**
     * 阿里支付
     */
    ALIPAY(0),
    /**
     * 微信支付
     */
    WXPAY(1);


    private final Integer value;

    PaymentEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

    public static Boolean checkEnumByValue(Integer value) {
        for (PaymentEnum statusEnum : PaymentEnum.values()) {
            if (statusEnum.value().equals(value)) {
                return true;
            }
        }
        return false;
    }

}
