package cn.kdan.pdf.backend.core.enums;

/**
 * tencent: 0, wechat: 1, weibo: 2, facebook: 3, twitter: 4, line: 5, linked_in: 6, google: 7
 * @author SongFuQiang
 * @description
 */
public enum ProviderEnum {

    /**
     * 腾讯QQ
     */
    TENCENT("tencent",0),

    /**
     * 微信
     */
    WECHAT("wechat",1);

    private final String name;
    private final Integer value;

    ProviderEnum(String name, Integer value){
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public Integer getValue() {
        return value;
    }

    public static Integer getCodeByName(String name){
        Integer value = 0;
        for (ProviderEnum providerEnum : ProviderEnum.values()) {
            if(providerEnum.getName().equals(name)){
                value = providerEnum.getValue();
            }
        }
        return value;
    }

    public static String getNameByCode(Integer code){
        String value = "tencent";
        for (ProviderEnum providerEnum : ProviderEnum.values()) {
            if(providerEnum.getValue().equals(code)){
                value = providerEnum.getName();
            }
        }
        return value;
    }
}
