package cn.kdan.pdf.backend.core.enums;

/**
 * 会员付费模式（free: 0, monthly_base: 1, yearly_base: 2, monthly_business: 3, yearly_business: 4,  member_v2: 5）
 */
public enum SetPricingModeEnum {

    /**
     * 免费套餐--注册即可
     */
    free(0),
    /**
     * 基础套餐(月)
     */
    monthly_base(1),
    /**
     * 基础套餐(年)
     */
    yearly_base(2),
    /**
     * 商务套餐(月)
     */
    monthly_business(3),
    /**
     * 商务套餐(年)
     */
    yearly_business(4),
    /**
     * 会员
     */
    member_v2(5);


    private final Integer value;

    SetPricingModeEnum(Integer value) {
        this.value = value;
    }

    public Integer value() {
        return value;
    }

}
