package cn.kdan.pdf.backend.core.enums;

/**
 * 有效状态（是否可用）
 * CD101100
 *
 * @author tangxiangan
 */
public enum WxOrderStatusEnum {

    /**
     * 在售
     */
    NOT_PAY("NOTPAY"),
    /**
     * 支付中
     */
    USER_PAYING("USERPAYING"),
    /**
     * REVOKED
     */
    REVOKED("REVOKED"),
    /**
     * 支付错误
     */
    PAYERROR("PAYERROR"),
    /**
     * 成功
     */
    SUCCESS("SUCCESS"),
    /**
     * 已退款
     */
    REFUND("REFUND"),
    /**
     * 订单关闭
     */
    CLOSED("CLOSED");

    private final String value;

    WxOrderStatusEnum(String value) {
        this.value = value;
    }

    public String value() {
        return value;
    }

    public static WxOrderStatusEnum getByCode(String code){
        for(WxOrderStatusEnum v:values()) {
            if(v.value().equals(code)) {
                return v;
            }
        }
        return NOT_PAY;
    }
}
