package cn.kdan.pdf.backend.core.mapper.ext;

import cn.kdan.pdf.backend.core.mapper.MissionFilesMapper;
import cn.kdan.pdf.backend.core.pojo.MissionFileVO;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * @author tangxiangan
 */
public interface ExtMissionFilesMapper extends MissionFilesMapper {

    /**
     * 获取用户对应转档记录
     *
     * @param memberId 用户id
     * @return List
     */
    List<MissionFileVO> getMissionFileListWithConvertType(@Param("memberId") String memberId);

    /**
     * 根据saas任务id修改转档开始时间
     *
     * @param taskId saas任务id
     */
    void updateBySaasTaskId(@Param("taskId") String taskId, @Param("date") Date date);

    /**
     * 根据processId修改文件状态
     *
     * @param processId 文件唯一标识id
     * @param status 状态
     */
    void updateByProcessId(@Param("processId") String processId, @Param("status") Integer status);
}
