package cn.kdan.pdf.backend.core.model;

import java.io.Serializable;
import java.util.Date;

public class PricingDiscounts implements Serializable {
    private String id;

    private String title;

    private Float price;

    private Float discounts;

    private Integer extraPoints;

    private String extraPeriod;

    private Date startDate;

    private Date endDate;

    private Date createdAt;

    private Date updatedAt;

    private Integer limitTimes;

    private Integer subscriptionType;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public PricingDiscounts withId(String id) {
        this.setId(id);
        return this;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public PricingDiscounts withTitle(String title) {
        this.setTitle(title);
        return this;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Float getPrice() {
        return price;
    }

    public PricingDiscounts withPrice(Float price) {
        this.setPrice(price);
        return this;
    }

    public void setPrice(Float price) {
        this.price = price;
    }

    public Float getDiscounts() {
        return discounts;
    }

    public PricingDiscounts withDiscounts(Float discounts) {
        this.setDiscounts(discounts);
        return this;
    }

    public void setDiscounts(Float discounts) {
        this.discounts = discounts;
    }

    public Integer getExtraPoints() {
        return extraPoints;
    }

    public PricingDiscounts withExtraPoints(Integer extraPoints) {
        this.setExtraPoints(extraPoints);
        return this;
    }

    public void setExtraPoints(Integer extraPoints) {
        this.extraPoints = extraPoints;
    }

    public String getExtraPeriod() {
        return extraPeriod;
    }

    public PricingDiscounts withExtraPeriod(String extraPeriod) {
        this.setExtraPeriod(extraPeriod);
        return this;
    }

    public void setExtraPeriod(String extraPeriod) {
        this.extraPeriod = extraPeriod;
    }

    public Date getStartDate() {
        return startDate;
    }

    public PricingDiscounts withStartDate(Date startDate) {
        this.setStartDate(startDate);
        return this;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public PricingDiscounts withEndDate(Date endDate) {
        this.setEndDate(endDate);
        return this;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public PricingDiscounts withCreatedAt(Date createdAt) {
        this.setCreatedAt(createdAt);
        return this;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public PricingDiscounts withUpdatedAt(Date updatedAt) {
        this.setUpdatedAt(updatedAt);
        return this;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getLimitTimes() {
        return limitTimes;
    }

    public PricingDiscounts withLimitTimes(Integer limitTimes) {
        this.setLimitTimes(limitTimes);
        return this;
    }

    public void setLimitTimes(Integer limitTimes) {
        this.limitTimes = limitTimes;
    }

    public Integer getSubscriptionType() {
        return subscriptionType;
    }

    public PricingDiscounts withSubscriptionType(Integer subscriptionType) {
        this.setSubscriptionType(subscriptionType);
        return this;
    }

    public void setSubscriptionType(Integer subscriptionType) {
        this.subscriptionType = subscriptionType;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        PricingDiscounts other = (PricingDiscounts) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getTitle() == null ? other.getTitle() == null : this.getTitle().equals(other.getTitle()))
                && (this.getPrice() == null ? other.getPrice() == null : this.getPrice().equals(other.getPrice()))
                && (this.getDiscounts() == null ? other.getDiscounts() == null : this.getDiscounts().equals(other.getDiscounts()))
                && (this.getExtraPoints() == null ? other.getExtraPoints() == null : this.getExtraPoints().equals(other.getExtraPoints()))
                && (this.getExtraPeriod() == null ? other.getExtraPeriod() == null : this.getExtraPeriod().equals(other.getExtraPeriod()))
                && (this.getStartDate() == null ? other.getStartDate() == null : this.getStartDate().equals(other.getStartDate()))
                && (this.getEndDate() == null ? other.getEndDate() == null : this.getEndDate().equals(other.getEndDate()))
                && (this.getCreatedAt() == null ? other.getCreatedAt() == null : this.getCreatedAt().equals(other.getCreatedAt()))
                && (this.getUpdatedAt() == null ? other.getUpdatedAt() == null : this.getUpdatedAt().equals(other.getUpdatedAt()))
                && (this.getLimitTimes() == null ? other.getLimitTimes() == null : this.getLimitTimes().equals(other.getLimitTimes()))
                && (this.getSubscriptionType() == null ? other.getSubscriptionType() == null : this.getSubscriptionType().equals(other.getSubscriptionType()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTitle() == null) ? 0 : getTitle().hashCode());
        result = prime * result + ((getPrice() == null) ? 0 : getPrice().hashCode());
        result = prime * result + ((getDiscounts() == null) ? 0 : getDiscounts().hashCode());
        result = prime * result + ((getExtraPoints() == null) ? 0 : getExtraPoints().hashCode());
        result = prime * result + ((getExtraPeriod() == null) ? 0 : getExtraPeriod().hashCode());
        result = prime * result + ((getStartDate() == null) ? 0 : getStartDate().hashCode());
        result = prime * result + ((getEndDate() == null) ? 0 : getEndDate().hashCode());
        result = prime * result + ((getCreatedAt() == null) ? 0 : getCreatedAt().hashCode());
        result = prime * result + ((getUpdatedAt() == null) ? 0 : getUpdatedAt().hashCode());
        result = prime * result + ((getLimitTimes() == null) ? 0 : getLimitTimes().hashCode());
        result = prime * result + ((getSubscriptionType() == null) ? 0 : getSubscriptionType().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", title=").append(title);
        sb.append(", price=").append(price);
        sb.append(", discounts=").append(discounts);
        sb.append(", extraPoints=").append(extraPoints);
        sb.append(", extraPeriod=").append(extraPeriod);
        sb.append(", startDate=").append(startDate);
        sb.append(", endDate=").append(endDate);
        sb.append(", createdAt=").append(createdAt);
        sb.append(", updatedAt=").append(updatedAt);
        sb.append(", limitTimes=").append(limitTimes);
        sb.append(", subscriptionType=").append(subscriptionType);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}