package cn.kdan.pdf.backend.core.model.member;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 用户详情类
 */
@Data
public class MemberInfo {

    /**
     * 头像地址
     */
    private String avatarUrl;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 用户id
     */
    private String id;
    /**
     * 用户名称
     */
    private String name;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 用户当前券数
     */
    private Integer points;
    /**
     * 是否会员（0否，1是）
     */
    private Integer subscriberType;
    /**
     * 用户总券数
     */
    private Integer totalPoints;
    /**
     * 总空间
     */
    private Integer totalSpace;
    /**
     * 已使用空间
     */
    private BigDecimal usedSpace;
    /**
     * 使用空间百分比
     */
    private BigDecimal usedSpacePercent;
    /**
     * 会员剩余天数
     */
    private Long day;

}
