package cn.kdan.pdf.backend.core.params;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import java.math.BigDecimal;

/**
 * @author tangxiangan
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MissionCreateParam {

	@NotBlank(message = "文件输出类型不能为空")
	private String output;

	@NotBlank(message = "文件入类型不能为空")
	private String input;

	@NotBlank (message = "文件名不能为空")
	private String filename;

	@NotBlank (message = "文件大小不能为空")
	private BigDecimal size;

	/**
	 * web 0 安卓1
	 */
	@NotBlank (message = "来源类型不能为空")
	private Integer sourceType;

}
