package cn.kdan.pdf.backend.core.params;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author tangxiangan
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class SubscriptionCreateParams {
    /**
     * 客户端
     */
    private String client;
    /**
     * 支付方式 0 阿里支付 1 微信支付
     */
    @NotBlank(message = "支付类型不能为空")
    private Integer payment;
    /**
     * 目标类型 Pricing或者SetPricing
     */
    @NotBlank(message = "目标服务类型不能为空")
    private String targetType;
    /**
     * 目标id 券服务或者会员服务的id
     */
    @NotBlank(message = "目标服务Id不能为空")
    private String targetId;
}
