package cn.kdan.pdf.backend.core.params;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;

/**
 * @author tangxiangan
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserResetPwdParams {

    /**
     * 邮箱或者手机号
     */
    @NotBlank(message = "用户账号不能为空")
    private String account;

    /**
     * 新密码
     */
    @NotBlank(message = "新密码不能为空")
    private String newPassword;

    /**
     * 验证码
     */
    @NotBlank(message = "验证码不能为空")
    private String verifyCode;

    /**
     * 验证类型 邮箱0 手机1
     */
    @NotBlank(message = "验证类型不能为空")
    private Integer type;
}
