package cn.kdan.pdf.backend.core.pojo.oauth2;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel(value = "用户信息")
public class UserInfo {

    @ApiModelProperty(value = "用户ID")
    private String id;

    @ApiModelProperty(value = "昵称")
    private String name;

    @ApiModelProperty(value = "邮箱")
    private Integer email;

    @ApiModelProperty(value = "手机号")
    private String phone;

    /**
     * 登录成功返回给页面，页面在请求头返回，spring根据此sessionId获取缓存的用户信息
     */
    private String sessionId;
}
