package cn.kdan.pdf.backend.core.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

@Data
@ConfigurationProperties(prefix = "oauth2.login")
public class Oauth2LoginProperties {

    /**
     * 智通登录成功携带授权码重定向地址
     */
    private String codeRedirectUri;

    /**
     * 默认账号密码
     */
    private String defaultPassword;

    /**
     * 智通登录失败重定向地址
     */
    private String errorRedirectUri;

    /**
     * 管理端未添加用户登录重定向地址
     */
    private String userNotAddRedirectUri;
}
