package cn.kdan.pdf.backend.core.service;

import cn.kdan.pdf.backend.core.model.Subscriptions;
import com.alipay.api.AlipayApiException;

import javax.servlet.http.HttpServletRequest;

public interface AlipayService {

    /**
     * 支付宝开放平台接收 request 请求对象后
     * 会为开发者生成一个html形式的form表单,包含自动提交的脚本
     * 将form表单字符串返回给前端
     * 前端自动提交脚本
     * 表单会自动提交到 action熟悉只想的支付宝开放平台中 为用户展示一个支付页面
     *
     * @param subject      交易产品名称
     * @param tradeNo      交易号
     * @param price        交易价格
     * @param subscription 订阅记录
     * @param client 客户端（web、android）
     * @return 支付宝调用结果
     */
    String createAlipayPageUrl(String subject, String tradeNo, Float price, Subscriptions subscription, String client);

    /**
     * 查询订单状态接口
     *
     * @param tradeNo 交易号
     * @return 支付宝查询返回参数（状态等）
     */
    String query(String tradeNo);

    /**
     * 关闭订单接口
     *
     * @param tradeNo 交易号
     * @return 关闭订单返回参数
     */
    String close(String tradeNo) throws AlipayApiException;
}
