package cn.kdan.pdf.backend.core.service;

import cn.kdan.pdf.backend.core.model.Avatars;
import cn.kdan.pdf.backend.core.pojo.app.UpTokenVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author : sfq
 * @date : 2022/12/14 16:32
 */
public interface AvatarService {

    /**
     * 查询头像列表信息
     * @return 头像信息集合
     */
    List<Avatars> list();

    /**
     * 根据用户id查询头像路径
     * @param memberId 用户id
     * @return 头像路径
     */
    String selectAvatarByMemberId(String memberId);

    /**
     * 获取头像上传的token
     * @return token+用户信息
     */
    UpTokenVo picUpload(MultipartFile file);

}
