package cn.kdan.pdf.backend.core.service;

import cn.kdan.pdf.backend.core.model.ConvertTypes;
import cn.kdan.pdf.backend.core.pojo.ConvertTypeVo;
import cn.kdan.pdf.backend.core.pojo.MissionVO;

import java.util.List;

public interface ConvertFileService {

    /**
     * 获取转换类型集合
     *
     * @param inputFileType 输入文件类型
     * @return 可转换的输出文件类型
     */
    List<ConvertTypeVo> getConvertTypeList(String inputFileType, String outputFileType);

    /**
     * 获取所有转换类型
     *
     * @return 转换类型集合
     */
    List<ConvertTypes> getAllConvertType();

    /**
     * 获取任务状态
     *
     * @param mid 任务id
     * @return 返回文件信息
     */
    List<MissionVO> getFileStatus(String mid);

}
