package cn.kdan.pdf.backend.core.service;

import cn.kdan.pdf.backend.core.model.Devices;
import cn.kdan.pdf.backend.core.params.RelationParam;
import pojo.Device;

/**
 * @author : SongFuQiang
 * @date : 2022/12/12 9:44
 */
public interface DeviceService {

    /**
     * 插入设备信息
     * @param devices devices
     * @return
     */
    int insert(Devices devices);

    /**
     * 根据用户查询设备信息
     * @param memberId 用户id
     * @param uuid 设备唯一id
     * @return
     */
    Devices selectByMemberId(String memberId, String uuid);

    /**
     * 更新设备信息
     * @param device device
     * @param uuid 设备唯一标识uuid
     */
    void update(Devices device, String uuid);

    /**
     * 更新设备信息
     * @param param device+location
     * @return device
     */
    Device updateInfo(RelationParam param);

    /**
     * 根据uuid和用户id删除设备数据
     * @param uuid 设备唯一id
     * @param memberId 用户id
     */
    void deleteByUuid(String uuid, String memberId);

    /**
     * 清除登录设备信息
     * @param memberId 用户id
     */
    void clearDevice(String memberId);
}
