package cn.kdan.pdf.backend.core.service;

import cn.kdan.pdf.backend.core.params.MissionCreateParam;
import cn.kdan.pdf.backend.core.pojo.MissionVO;
import cn.kdan.pdf.backend.core.pojo.comPdfKit.WebhookSendDTO;

import java.util.List;

/**
 * @author songfuqiang
 */
public interface MissionService {


    /**
     * 根据文件列表创建任务和插入文件信息（转档流程第一步）
     *
     * @param paramList MissionCreateParam
     * @return MissionPojo
     */
    MissionVO create(List<MissionCreateParam> paramList);

    /**
     * 执行文件转档
     *
     * @param missionId mission任务id
     * @return 任务id
     */
    String convertFile(String missionId);

    /**
     * 查询文件状态
     *
     * @param missionId mission任务id
     * @return 文件信息
     */
    List<MissionVO> queryFileStatus(String missionId);

    /**
     * saas回调接口
     *
     * @param dto saas回调参数
     */
    void saasCallback(WebhookSendDTO dto);
}
