package cn.kdan.pdf.backend.core.service;


import cn.kdan.pdf.backend.core.model.Orders;
import cn.kdan.pdf.backend.core.model.Subscriptions;
import cn.kdan.pdf.backend.core.pojo.OrderVO;

import javax.servlet.http.HttpServletRequest;

/**
 * @author tangxiangan
 */
public interface OrderService {


    /**
     * 获取用户未支付的订单（如果没有则插入订单）
     *
     * @param memberId     用户id
     * @param subscription 订阅
     * @param client 客户端（web、android）
     * @return Orders
     */
    Orders findMemberUnPayedOrders(String memberId, Subscriptions subscription, String client);

    /**
     * 根据商户订单号获取订单
     *
     * @param outTradeNo 商户订单号
     * @return Orders
     */
    Orders getByTradeNo(String outTradeNo);


    /**
     * 查询微信支付订单状态，根据订单状态更新订单表订阅表，修改用户状态
     *
     * @param tradeNo 订单
     */
    void handleWxOrder(String tradeNo);

    /**
     * 根据订单号查询订单，并且更新订单状态
     *
     * @param orderId id
     * @return OrderPojo
     */
    OrderVO getWxOrders(String orderId);

    /**
     * 订单回调处理
     *
     * @param xmlData 微信
     * @return String
     */
    String syncOrder(String xmlData);

    /**
     * 订单回调处理
     *
     * @param request 支付宝
     * @return string
     */
    String alipaySyncOrder(HttpServletRequest request);
}
