package cn.kdan.pdf.backend.core.service;

import cn.kdan.pdf.backend.core.model.Members;
import cn.kdan.pdf.backend.core.pojo.oauth2.UserInfo;
import utils.BeanConverter;

/**
 * 用户service
 */
public interface UserService extends BeanConverter<Members, UserInfo> {
    /**
     * 根据ID获取用户
     *
     * @param userId 用户ID
     * @return Members
     */
    Members getById(String userId);


    /**
     * 根据用户手机号和邮箱查找用户
     *
     * @param account 账号
     * @return Members
     */
    Members getByAccount(String account);


    /**
     * 根据用户id获取带sessionId的用户详情
     *
     * @param userId
     * @return UserInfo
     */
    UserInfo detail(String userId);
}
