package cn.kdan.pdf.backend.core.service.impl;

import cn.kdan.pdf.backend.core.mapper.MembersMapper;
import cn.kdan.pdf.backend.core.mapper.ext.ExtMembersMapper;
import cn.kdan.pdf.backend.core.model.Members;
import cn.kdan.pdf.backend.core.model.MembersExample;
import cn.kdan.pdf.backend.core.pojo.oauth2.UserInfo;
import cn.kdan.pdf.backend.core.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;


/**
 * oauth2 用户方法类
 * @author tangxiangan
 */
@Slf4j
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private ExtMembersMapper userMapper;


    @Override
    public Members getById(String userId) {
        return userMapper.selectByPrimaryKey(userId);
    }

    @Override
    public Members getByAccount(String account) {

        List<Members> users = userMapper.getMemberByAccount(account);

        return CollectionUtils.isEmpty(users) ? null : users.get(0);
    }

    @Override
    public UserInfo convert(Members members) {
        UserInfo userInfo = null;
        if (members != null) {
            userInfo = new UserInfo();
            BeanUtils.copyProperties(members, userInfo);
        }

        return userInfo;
    }


    @Override
    public UserInfo detail(String userId) {
        Members user = this.getById(userId);
        return this.convert(user);
    }

    @Override
    public UserInfo detail(Members user) {
        return this.convert(user);
    }
}
