package cn.kdan.pdf.backend.core.utils;

import cn.kdan.pdf.backend.core.client.ComPdfKitClient;
import cn.kdan.pdf.backend.core.properties.ComPdfKitProperties;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author tangxiangan
 */
@Component
@Slf4j
public class ComPdfKitUtils {

    private final ComPdfKitProperties properties;

    @Autowired
    public ComPdfKitUtils(ComPdfKitProperties properties) {
        this.properties = properties;
    }

    /**
     * 获取ComPDFKitClient
     */
    public ComPdfKitClient getComPdfKitClient() {
        return ComPdfKitClient.builder().basic(properties.getAddress(), properties.getProjectKey(), properties.getSecretKey()).build();
    }
}
