package cn.kdan.pdf.backend.core.utils.wxpay;
import cn.kdan.pdf.backend.core.properties.WXConfigProperties;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.io.*;

/**
 * @author tangxiangan
 */
@Component
public class MyConfig implements WXPayConfig{
    @Resource
    private WXConfigProperties wxConfigProperties;

    private byte[] certData;

    public MyConfig() {
    }

    @Override
    public String getAppID() {
        return wxConfigProperties.getAppId();
    }

    @Override
    public String getMchID() {
        return wxConfigProperties.getMchId();
    }

    @Override
    public String getKey() {
        return wxConfigProperties.getPartnerKey();
    }

    @Override
    public InputStream getCertStream() {
        ByteArrayInputStream certBis = new ByteArrayInputStream(this.certData);
        return certBis;
    }

    @Override
    public int getHttpConnectTimeoutMs() {
        return 8000;
    }

    @Override
    public int getHttpReadTimeoutMs() {
        return 10000;
    }
}
